/* START RESET */

html, body, div, span, applet, object, iframe,
h1, h2, h3, h4, h5, h6, p, blockquote, pre,
a, abbr, acronym, address, big, cite, code,
del, dfn, em, img, ins, kbd, q, s, samp,
small, strike, strong, sub, sup, tt, var,
b, u, i, center,
dl, dt, dd, ol, ul, li,
fieldset, form, label, legend,
table, caption, tbody, tfoot, thead, tr, th, td,
article, aside, canvas, details, embed,
figure, figcaption, footer, header, hgroup,
menu, nav, output, ruby, section, summary,
time, mark, audio, video {
	margin: 0;
	padding: 0;
	border: 0;
	font-size: 100%;
	font: inherit;
	vertical-align: baseline;
}

input, textarea, select, button {
	margin: 0;
}

/* HTML5 display-role reset for older browsers */
article, aside, details, figcaption, figure,
footer, header, hgroup, menu, nav, section {
	display: block;
}
body {
	line-height: 1;
}
ol, ul {
	list-style: none;
}
blockquote, q {
	quotes: none;
}
blockquote:before, blockquote:after,
q:before, q:after {
	content: '';
	content: none;
}
table {
	border-collapse: collapse;
	border-spacing: 0;
}

a {
	text-decoration: none;
	color: inherit;
}

p + p {
  margin-top: 10px;
}

/* END RESET */

@font-face {
  font-family: 'favorit-lining';
  src: url("../fonts/FavoritLiningStd-Book.woff") format("woff"), url("FavoritLiningStd-Book.woff2") format("woff2");
  font-weight: normal;
  font-style: normal;
}

@font-face {
  font-family: 'favorit';
  src: url("../fonts/FavoritStd-Book.woff") format("woff"), url("FavoritStd-Book.woff2") format("woff2");
  font-weight: normal;
  font-style: normal;
}

@font-face {
  font-family: 'favorit-bold';
  src: url("../fonts/FavoritStd-Bold.woff") format("woff"), url("FavoritStd-Bold.woff2") format("woff2");
  font-weight: normal;
  font-style: normal;
}

@font-face {
  font-family: 'favorit-italic';
  src: url("../fonts/FavoritStd-BookItalic.woff") format("woff"), url("FavoritStd-BookItalic.woff2") format("woff2");
  font-weight: normal;
  font-style: normal;
}

:root {
  --font-body: 'Helvetica', sans-serif;
  --font-header: 'favorit', 'Helvetica', sans-serif;
  --font-lining: 'favorit-lining', 'Helvetica', sans-serif;
  --font-color-header: #2344aa;
  --font-color-body: #0b2451;
  --font-color-light: #ffffff;
  --font-color-error: #b00b00;
  --font-color-success: #29b500;
  --font-color-placeholder: #0b24517d;
  --border-color: #0b2451;
  --border-color-light: #2344aa;
  --bg-color: #f0ede8;
  --bg-color-dark: #ebe6df;
  --bg-color-white: #ffffff;
  --bg-color-blue: #2344aa;
  --btn-color: #2344aa;
  --btn-color-hover: #0b2451;
  --btn-color-text: #ffffff;
  --header-height: 72px;
  --footer-height: 104px;
}

@media (max-width: 1000px) {
  :root {
    --footer-height: 84px;
  }
}

@media (max-width: 780px) {
  :root {
    --footer-height: 81px;
  }
}

*,
*::after,
*::before {
  box-sizing: border-box;
}

html,
body {
  font-family: var(--font-body);
  font-size: 16px;
  color: var(--font-color-body);
  line-height: 1.5;
  background-color: var(--bg-color);
  font-weight: normal;
  scroll-behavior: smooth;
}

small {
  font-size: 12px;
}

body,
button,
input,
select,
textarea {
  -webkit-font-smoothing: antialiased;
  -webkit-text-size-adjust: 100%;
  -moz-text-size-adjust: 100%;
  -ms-text-size-adjust: 100%;
  text-size-adjust: 100%;
}

@media (max-width: 750px) {
  html, body {
    font-size: 14px;
  }
}

em, i {
  font-style: italic;
}

li,
ol,
ul {
  margin: 0;
  padding: 0;
  list-style: none;
}

:focus {
  outline: none;
}

a {
  color: inherit;
}

a:focus {
  color: inherit;
}

strong, b, .bold {
  font-weight: bold;
}

.display--block {
  display: block;
}

.display--inline-block {
  display: inline-block !important;
}

.width-100 {
  width: 100%;
}

.position--relative {
  position: relative;
}

.hidden {
  display: none !important;
}

.page-width {
  width: 100%;
  max-width: 1600px;
  margin-left: auto;
  margin-right: auto;
}

.page-width--medium {
  width: 100%;
  max-width: 1200px;
  margin-left: auto;
  margin-right: auto;
}

.page-width--small {
  width: 100%;
  max-width: 800px;
  margin-left: auto;
  margin-right: auto;
}

.gutter-padding--horizontal {
  padding-left: 40px;
  padding-right: 40px;
}

.gutter-padding--vertical {
  padding-top: 40px;
  padding-bottom: 40px;
}

@media (max-width: 1000px) {
  .gutter-padding--horizontal {
    padding-left: 20px;
    padding-right: 20px;
  }

  .gutter-padding--vertical {
    padding-top: 30px;
    padding-bottom: 30px;
  }
}

.align--center {
  text-align: center;
}

.align--left {
  text-align: left;
}

.align--right {
  text-align: right;
}

.title-block {
  margin-bottom: 30px;
}

.title-block.spacing-small {
  margin-bottom: 10px;
}

.cta-block {
  margin-top: 30px;
}

.h1, .h2, .h3, .h4 {
  color: var(--font-color-header);
  font-family: var(--font-header);
  font-weight: normal;
}

.h1 {
  font-size: 50px;
}

.h2 {
  font-size: 35px;
}

.h3 {
  font-size: 24px;
}

.h4 {
  font-size: 20px;
}

@media (max-width: 1200px) {
  .h1 {
    font-size: 40px;
  }

  .h2 {
    font-size: 30px;
  }

  .h3 {
    font-size: 20px;
  }

  .h4 {
    font-size: 18px;
  }
}

@media (max-width: 750px) {
  .h1 {
    font-size: 30px;
  }

  .h2 {
    font-size: 28px;
  }

  .h3 {
    font-size: 18px;
  }
}

.btn {
  display: block;
  margin: 0 auto;
  padding: 8px 24px;
  border-radius: 30px;
  cursor: pointer;
  text-align: center;
  transition: background-color 0.3s ease;
  width: fit-content;
  background-color: var(--btn-color);
  color: var(--btn-color-text);
  border: none;
  font-size: 18px;
  font-weight: normal;
  font-family: var(--font-body);
  text-decoration: none;
  -webkit-appearance: none;
  line-height: 1.2;
}

.btn:hover {
  background-color: var(--btn-color-hover);
}

.btn.secondary {
  background-color: var(--btn-color-text);
  color: var(--btn-color);
  border: 1px solid var(--btn-color);
}

.btn.secondary:hover {
  background-color: var(--btn-color-text);
  color: var(--btn-color-hover);
  border: 1px solid var(--btn-color-hover);
}

.btn:disabled,
.btn.disabled {
  pointer-events: none;
  opacity: 0.5;
}

@media (max-width: 750px) {
  .btn {
    font-size: 16px;
  }
}

.font-lining {
  font-family: var(--font-lining) !important;
}

.text-error {
  color: var(--font-color-error);
}

.text-success {
  color: var(--font-color-success);
}

.flex-row {
  display: flex;
  flex-direction: row;
  align-items: center;
  justify-content: space-between;
}

.flex-row.top {
  align-items: flex-start;
}

.flex-row.start {
  justify-content: flex-start;
}

.no-shrink {
  flex-shrink: 0;
}

.divider {
  border-top: 1px solid var(--border-color);
  margin: 40px 0;
  display: block;
}

.form {
  display: block;
}

.form:disabled,
.form.disabled {
  pointer-events: none;
  opacity: 0.5;
}

.input-group {
  display: block;
}

.input-group + .input-group {
  margin-top: 20px;
}

.input-group.split {
  display: flex;
  flex-wrap: wrap;
  width: 100%;
  gap: 20px;
  align-items: flex-end;
  justify-content: space-between;
}

.input-group.split .input-group + .input-group {
  margin-top: 0;
}

.input-group.split > div {
  width: calc(50% - 10px);
}

.input-group-list {
  border: 1px solid var(--border-color);
}

.input-group-list-item {
  display: block;
  position: relative;
}

.input-group-list-item-remove {
  cursor: pointer;
  display: block;
  width: 40px;
  height: 40px;
  position: absolute;
  top: 0;
  right: 0;
  color: var(--font-color-header);
  transition: color 0.3s ease;
}

.input-group-list-item-remove:hover {
  color: var(--font-color-body);
}

.input-group-list-item-remove span {
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translateX(-50%) translateY(-50%);
  font-weight: bold;
  font-size: 20px;
}

.input-group-list-item + .input-group-list-item {
  border-top: 1px solid var(--border-color);
}

.input-group-list-item-inputs {
  padding: 20px;
  width: 100%;
  display: flex;
  flex-wrap: wrap;
  flex-direction: row;
  gap: 20px;
  align-items: flex-start;
  justify-content: flex-start;
}

.input-group-list-item-inputs > div {
  display: block;
  width: calc(25% - 15px);
}

@media (max-width: 500px) {  
  .input-group-list-item-inputs > div {
    width: calc(50% - 10px);
  }
}

.input-button-split {
  width: 100%;
  display: flex;
  flex-direction: row;
  align-items: center;
  justify-content: flex-start;
}

.input-button-split .input {
  width: 100%;
}

.input-button-split .btn {
  flex-shrink: 0;
  border-radius: 0;
  align-self: stretch;
}

.input-label {
  display: block;
  margin-bottom: 10px;
}

.input[type="text"],
.input[type="email"],
.input[type="password"],
.input[type="number"],
.input[type="date"],
.input[type="month"],
select.input,
textarea.input {
  background-color: var(--bg-color-white);
  display: block;
  width: 100%;
  padding: 8px 10px;
  border: 1px solid var(--border-color);
  border-radius: 0;
  font-size: 16px;
  height: 40px;
  font-family: var(--font-body);
  color: var(--font-color-body);
}

.input[type="file"] {
  display: block;
  width: 100%;
}

.input[type="file"]::file-selector-button {
  padding: 8px 24px;
  border-radius: 30px;
  cursor: pointer;
  text-align: center;
  transition: border-color 0.3s ease, color 0.3s ease;
  width: fit-content;
  background-color: var(--btn-color-text);
  color: var(--btn-color);
  border: 1px solid var(--btn-color);
  font-size: 18px;
  font-weight: normal;
  font-family: var(--font-body);
  text-decoration: none;
  -webkit-appearance: none;
  line-height: 1.2;
}

.input[type="file"]::file-selector-button:hover {
  border-color: var(--btn-color-hover);
  color: var(--btn-color-hover);
}

.input[type="file"]::file-selector-button:disabled,
.input[type="file"].disabled::file-selector-button {
  pointer-events: none;
  opacity: 0.5;
}

@media (max-width: 750px) {
  .input[type="file"]::file-selector-button {
    font-size: 16px;
  }
}

.disabled {
  opacity: 0.5;
  pointer-events: none;
}

textarea.input {
  height: 200px;
  resize: none;
}

textarea.input.short {
  height: 100px;
}

.input::placeholder {
  font-size: 16px;
  font-family: var(--font-body);
  color: var(--font-color-placeholder);
}

.input-chevron {
  width: 6px;
  height: 6px;
  border-left: 1px solid var(--border-color);
  border-bottom: 1px solid var(--border-color);
  position: absolute;
  top: 50%;
  right: 6px;
  transform: translateY(-50%) rotate(-45deg);
  pointer-events: none;
}

.input-checkbox {
  display: block;
  background-color: var(--bg-color-white);
  border: 1px solid var(--border-color);
  height: 16px;
  width: 16px;
  cursor: pointer;
  position: relative;
}

.input-checkbox div {
  height: 10px;
  width: 10px;
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translateX(-50%) translateY(-50%);
  background-color: var(--font-color-header);
  border: none;
  display: none;
}

input:checked + .input-checkbox div,
input:checked + label .input-checkbox div {
  display: block;
}

.input-checkbox-row {
  display: block;
  position: relative;
  padding-left: 24px;
}

.input-checkbox-row .input-checkbox {
  position: absolute;
  top: 50%;
  left: 0;
  transform: translateY(-50%);
}

.input-checkbox-dropdown-wrapper {
  position: relative;
}

.input-checkbox-dropdown {
  border: 1px solid var(--border-color);
  background-color: var(--bg-color-white);
  box-shadow: 0 2px 2px rgba(0, 0, 0, 0.3);
  padding: 8px;
  position: absolute;
  top: calc(100% - 1px);
  left: 0;
  width: 100%;
  z-index: 1;
  display: none;
}

.input-checkbox-dropdown-wrapper:hover .input-checkbox-dropdown,
.input-checkbox-dropdown-wrapper:focus-within .input-checkbox-dropdown {
  display: block;
}

.list-bullets,
.list-bullets li {
  list-style: circle;
}

.list-numbers,
.list-numbers li {
  list-style: decimal;
}

.list-bullets.align--center,
.list-bullets.align--center li,
.list-numbers.align--center,
.list-numbers.align--center li {
  list-style-position: inside;
}

.links-lists {
  display: flex;
  flex-direction: row;
  flex-wrap: wrap;
  align-items: flex-start;
  justify-content: center;
  gap: 40px;
}

.links-list-wrapper {
  background-color: var(--bg-color-white);
  padding: 30px;
  border-radius: 10px;
}

.links-lists .links-list-wrapper {
  width: calc(50% - 20px);
  align-self: stretch;
}

@media (max-width: 1200px) {
  .links-lists {
    gap: 20px;
  }

  .links-list-wrapper {
    padding: 30px 20px;
  }

  .links-lists .links-list-wrapper {
    width: calc(50% - 10px);
  }
}

@media (max-width: 780px) {
  .links-lists .links-list-wrapper {
    width: 100%;
  }
}

.links-list-title {
  margin-bottom: 20px;
}

.links-list-item + .links-list-item {
margin-top: 10px;
}

.link {
  font-weight: bold;
  color: var(--font-color-header);
  text-decoration: underline;
  transition: color 0.3s ease;
  cursor: pointer;
}

.link:hover {
  color: var(--font-color-body);
}

.site-header {
  padding: 20px 0;
  background-color: var(--bg-color-blue);
  color: var(--font-color-light);
}

.site-header--logo {
  display: block;
  margin: 0 auto;
  width: 140px;
}

.site-header--logo img {
  display: block;
  width: 100%;
  margin: 0 auto;
}


/* Loading Modal */

.loading {
  display: none;
  position: fixed;
  top: 0;
  bottom: 0;
  left: 0;
  right: 0;
  z-index: 1000;
  background-color: rgba(0, 0, 0, 0.5);
}

.loading.active {
  display: block;
}

.loading--modal {
  position: absolute;
  top: 50%;
  left: 50%;
  width: 300px;
  height: 300px;
  max-width: calc(100vw - 40px);
  transform: translateX(-50%) translateY(-50%);
  border: 2px solid var(--border-color);
  background-color: var(--bg-color);
}

.loading--modal-title {
  position: absolute;
  top: 14px;
  left: 0;
  width: 100%;
  color: var(--font-color-header);
  font-weight: bold;
  text-transform: uppercase;
}

.loading-icon--wrapper,
.loading-icon--wrapper-abs {
  display: inline-block;
  left: calc(50% - 35px);
  top: calc(50% - 35px);
  max-width: 70px;
}

.loading-icon--wrapper {
  position: absolute;
}

.loading-icon--wrapper.fixed {
  position: fixed;
}

.loading-icon {
  -webkit-animation: 2s linear infinite loadingAnimation;
  animation: 2s linear infinite loadingAnimation;
  width: 100%;
}

.loading-icon--circle {
  -webkit-animation: 1.4s ease-in-out infinite both circleAnimation;
  animation: 1.4s ease-in-out infinite both circleAnimation;
  display: block;
  fill: transparent;
  stroke: var(--font-color-header);
  stroke-linecap: round;
  stroke-dasharray: 283;
  stroke-dashoffset: 280;
  stroke-width: 4px;
  transform-origin: 50% 50%;
}

@keyframes loadingAnimation {
  0% {
    transform: rotateZ(0deg);
  }

  100% {
    transform: rotateZ(360deg);
  }
}

@-webkit-keyframes loadingAnimation {
  0% {
    transform: rotateZ(0deg);
  }

  100% {
    transform: rotateZ(360deg);
  }
}

@keyframes circleAnimation {
  0%,
  25% {
    stroke-dashoffset: 280;
    transform: rotate(0);
  }

  50%,
  75% {
    stroke-dashoffset: 75;
    transform: rotate(45deg);
  }

  100% {
    stroke-dashoffset: 280;
    transform: rotate(360deg);
  }
}

@-webkit-keyframes circleAnimation {
  0%,
  25% {
    stroke-dashoffset: 280;
    transform: rotate(0);
  }

  50%,
  75% {
    stroke-dashoffset: 75;
    transform: rotate(45deg);
  }

  100% {
    stroke-dashoffset: 280;
    transform: rotate(360deg);
  }
}


/* Data Response Modal */

.data-response-modal--wrapper {
  display: none;
  position: fixed;
  top: 0;
  bottom: 0;
  left: 0;
  right: 0;
  z-index: 1000;
}

.data-response-modal--wrapper.active {
  display: block;
}

.data-response-modal--overlay {
  position: absolute;
  top: 0;
  bottom: 0;
  left: 0;
  right: 0;
  background-color: rgba(0, 0, 0, 0.5);
}

.data-response-modal {
  padding: 20px;
  position: absolute;
  top: 50%;
  left: 50%;
  width: 800px;
  max-width: calc(100vw - 40px);
  max-height: calc(100vh - 40px);
  overflow-y: auto;
  overflow-x: hidden;
  transform: translateX(-50%) translateY(-50%);
  border: 2px solid var(--border-color);
  background-color: var(--bg-color);
  z-index: 2;
}

.data-response-modal--wrapper .title-block .error {
  display: none;
  color: var(--font-color-error);
}

.data-response-modal--wrapper.error .title-block .error {
  display: block;
}

.data-response-modal--wrapper.error .title-block .success {
  display: none;
}

.data-response-modal--close {
  display: block;
  position: absolute;
  top: 0;
  right: 0;
  width: 40px;
  height: 40px;
  cursor: pointer;
}

.data-response-modal--close span {
  font-size: 22px;
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translateX(-50%) translateY(-50%);
  pointer-events: none;
}

.data-response-modal--code {
  height: 400px;
  overflow: auto;
  border: 2px solid var(--border-color);
  background-color: var(--bg-color-white);
  padding: 10px;
}

html,
.scrollbar--custom {
  scrollbar-width: thin;
  scrollbar-color: var(--border-color-light) var(--bg-color-dark);
}

html::-webkit-scrollbar,
html::-webkit-scrollbar-track,
.scrollbar--custom::-webkit-scrollbar,
.scrollbar--custom::-webkit-scrollbar-track {
  width: 6px;
  height: 6px;
  background: transparent;
  border: 2px solid transparent;
}

html::-webkit-scrollbar-thumb,
.scrollbar--custom::-webkit-scrollbar-thumb {
  background-color: var(--border-color-light);
  border-radius: 6px;
  border: none;
  border: 2px solid transparent;
}

/* Metabase Dashboard */

.dashboard-container {
  position: relative;
  width: 100%;
  max-width: 100%;
  height: 100vh;
  min-height: 500px;
}

.dashboard-container iframe {
  width: 100%;
  height: 100%;
  display: block;
}

.page-content {
  min-height: calc(100vh - var(--header-height) - var(--footer-height));
}

/* Tab Switcher */

tab-switcher,
.tab-switcher {
  display: block;
  position: relative;
  overflow: hidden;
}

tab-switcher.empty,
.tab-switcher.empty {
  display: none;
}

.tab-switcher--tabs-wrapper {
  display: block;
  overflow-y: hidden;
  overflow-x: auto;
}

.tab-switcher--tabs-list {
  display: flex;
  flex-direction: row;
  align-items: center;
  justify-content: flex-start;
}

.tab-switcher--tab {
  border-top: 1px solid var(--border-color);
  border-bottom: 1px solid var(--border-color);
  border-right: 1px solid var(--border-color);
  cursor: pointer;
  padding: 8px 20px;
  /* background-color: var(--bg-color-white);
  color: var(--font-color-header); */
  transition: background-color 0.3s ease, color 0.3s ease;
  flex-shrink: 0;
  align-self: stretch;
}

.tab-switcher--tab:first-child {
  border-left: 1px solid var(--border-color);
}

.tab-switcher--tab.active {
  background-color: var(--font-color-header);
  color: var(--bg-color-white);
}

.tab-switcher--content-wrapper {
  border: 1px solid var(--border-color);
  margin-top: -1px;
}

.tab-switcher--content {
  padding: 20px;
  display: none;
}

.tab-switcher--content.active {
  display: block;
}

/* Timesheet / Value Tracker */

time-sheet,
value-tracker {
  position: relative;
  display: block;
}

time-sheet tab-switcher,
value-tracker tab-switcher {
  margin: 30px 0;
}

value-tracker .tab-switcher--content {
  padding: 0;
}

value-tracker .tab-switcher--content-wrapper {
  border: none;
}

value-tracker .tab-switcher--tab:not(.active) {
  background-color: var(--bg-color-dark);
}

/* value-tracker .scrollbar--custom {
  scrollbar-color: var(--bg-color-white) var(--bg-color-blue);
} */

.timesheet--row {
  display: block;
  width: 100%;
  position: relative;
  padding-right: 60px;
}

.value-tracker--row {
  min-width: 100%;
  width: max-content;
  display: flex;
  flex-direction: row;
}

.value-tracker--row:last-child {
  border-bottom: 1px solid var(--border-color);
}

.value-tracker--row-cell {
  display: block;
  width: 150px;
  padding: 10px;
  flex-shrink: 0;
}

.value-tracker--row-header-cell,
.value-tracker--row-footer-cell {
  display: block;
  padding: 10px;
  flex-shrink: 0;
  position: sticky;
  background-color: var(--bg-color-dark);
}

.value-tracker--row-header-cell {
  left: 0;
  width: 250px;
  border-right: 1px solid var(--border-color);
  padding-right: 34px;
}

.value-tracker--row-footer-cell {
  right: 0;
  width: 200px;
  border-left: 1px solid var(--border-color);
}

.timesheet--remove-row {
  display: block;
  width: 40px;
  height: 40px;
  cursor: pointer;
  position: absolute;
  top: 50%;
  right: 0;
  transform: translateY(-50%);
  border: 1px solid var(--font-color-header);
  background-color: var(--font-color-header);
  color: var(--font-color-light);
  font-size: 22px;
  transition: background-color 0.3s ease, border-color 0.3s ease, color 0.3s ease;
}

.timesheet--remove-day {
  position: relative;
  display: block;
  width: 40px;
  height: 40px;
  cursor: pointer;
  border: 1px solid var(--font-color-header);
  background-color: var(--font-color-light);
  color: var(--font-color-header);
  font-size: 22px;
  transition: background-color 0.3s ease, border-color 0.3s ease, color 0.3s ease;
}

.value-tracker--remove-group {
  position: absolute;
  display: block;
  width: 24px;
  height: 24px;
  cursor: pointer;
  border: 1px solid var(--font-color-header);
  color: var(--font-color-header);
  font-size: 18px;
  top: 10px;
  right: 10px;
  z-index: 1;
}

.timesheet--remove-row span,
.timesheet--remove-day span,
.value-tracker--remove-group span {
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translateX(-50%) translateY(-50%);
}

.value-tracker--remove-row {
  position: absolute;
  right: 0;
  top: 50%;
  transform: translateY(-50%);
  height: 34px;
  width: 34px;
  cursor: pointer;
}

.value-tracker--remove-row span {
  position: absolute;
  left: 50%;
  top: 50%;
  transform: translateX(-50%) translateY(-50%);
  font-size: 18px;
  color: var(--font-color-header);
}

.timesheet--remove-row:hover {
  border-color: var(--btn-color-hover);
  background-color: var(--btn-color-hover);
}

.timesheet--remove-day:hover {
  border-color: var(--btn-color-hover);
  color: var(--btn-color-hover);
}

.timesheet--day-rows {
  margin-top: 20px;
  padding-top: 20px;
  border-top: 1px solid var(--border-color);
}

.value-tracker--totals {
  margin-top: 20px;
  padding-top: 20px;
  border-top: 1px solid var(--border-color);
}

.timesheet--rows-wrapper {
  margin-top: 20px;
}

.timesheet--rows-header {
  margin-bottom: 10px;
  text-align: left;
  padding-right: 60px;
}

.timesheet--rows {
  display: flex;
  flex-direction: column;
  gap: 20px;
}

.value-tracker--rows {
  display: flex;
  flex-direction: column;
  overflow: auto;
  position: relative;
  background-color: var(--bg-color-dark);
  border: 1px solid var(--border-color);
}

.value-tracker--add-row {
  margin-top: 10px;
}

.timesheet--footer,
.value-tracker--footer {
  margin-top: 30px;
}

/* Report table */

.report-table-container {
  position: relative;
  display: block;
  width: 100%;
  overflow: auto;
  border: 2px solid var(--border-color-light);
  padding: 20px;
  max-height: calc(100vh - 80px);
  scroll-behavior: auto;
}

.report-table-wrapper {
  padding-top: 10px;
  margin-top: 20px;
}

.report-table {
  border-collapse: collapse;
  border: 1px solid var(--border-color);
  background-color: var(--bg-color-white);
}

.report-table thead {
  position: sticky;
  top: -21px;
  z-index: 2;
}

.report-table th,
.report-table td {
  padding: 10px 20px;
  border-collapse: collapse;
  border: 1px solid var(--border-color);
  vertical-align: middle;
  max-width: 500px;
  white-space: nowrap;
}

.report-table td.wide {
  padding: 0;
}

.report-table td.wide .report-table-cell {
  padding: 10px 20px;
  overflow: auto;
  max-height: 120px;
}

.report-table th {
  position: relative;
  background-color: var(--btn-color);
  border-color: var(--btn-color);
  border-right-color: var(--btn-color-text);
  color: var(--btn-color-text);
}

.report-table th + th::before {
  display: block;
  content: '';
  position: absolute;
  top: 0;
  bottom: 0;
  left: -1px;
  width: 1px;
  background-color: var(--btn-color-text);
}

.report-table th:last-child {
  border-right-color: var(--btn-color);
}

.report-table th.wide,
.report-table td.wide {
  min-width: 550px;
  white-space: normal;
  word-break: break-all;
}

.report-table-thumb {
  width: 64px;
  height: 64px;
  display: block;
  overflow: hidden;
  position: relative;
}

.report-table-thumb img {
  position: absolute;
  top: 0;
  left: 0;
  display: block;
  width: 100%;
  height: 100%;
  object-fit: cover;
}

.report-table-thumb-video-icon {
  position: absolute;
  top: 0;
  bottom: 0;
  left: 0;
  right: 0;
  background-color: var(--bg-color-blue);
  transition: background-color 0.3s ease;
}

.report-table-thumb-video-icon:hover {
  background-color: var(--btn-color-hover);
}

.report-table-thumb-video-icon div {
  display: block;
  width: 30px;
  height: 30px;
  position: absolute;
  top: 50%;
  left: calc(50% + 10px);
  transform: translateX(-50%) translateY(-50%);
  border-left: 20px solid white;
  border-right: 15px solid transparent;
  border-top: 15px solid transparent;
  border-bottom: 15px solid transparent;
  pointer-events: none;
}

.report-table-bar {
  margin-bottom: 10px;
  color: var(--font-color-header);
}

.report-table-header-sort {
  cursor: pointer;
  position: relative;
  transition: background-color 0.3s ease;
}

.report-table-header-sort:hover {
  background-color: var(--btn-color-hover);
}

.report-table-header-sort.asc::after,
.report-table-header-sort.desc::after {
  position: absolute;
  top: 50%;
  right: 8px;
  display: block;
  content: '';
  width: 7px;
  height: 7px;
  border-right: 2px solid var(--btn-color-text);
  border-bottom: 2px solid var(--btn-color-text);
  pointer-events: none;
}

.report-table-header-sort.asc::after {
  transform: translateY(-30%) rotate(-135deg);
}

.report-table-header-sort.desc::after {
  transform: translateY(-60%) rotate(45deg);
}

.report-filter-category {
  padding: 20px;
  border: 1px solid var(--border-color);
  background-color: var(--bg-color-dark);
}

.report-filter-category + .report-filter-category {
  margin-top: -1px;
}

@media (max-width: 1000px) {
  .report-filter-category {
    padding: 20px 10px;
  }
}

.report-column-modal.data-response-modal {
  width: 350px;
  height: 500px;
}

.report-column-modal-content {
  margin-top: 10px;
}

.report-table-bar-links {
  text-align: right;
}

.report-table-bar-links a,
.report-table-bar-links span {
  display: inline-block;
}

.creative-analysis-files,
.storage-files {
  border: 1px solid var(--border-color);
  background-color: var(--bg-color-white);
}

.creative-analysis-files-table-wrapper,
.storage-files-table-wrapper {
  max-height: 400px;
  overflow: auto;
}

.creative-analysis-files .report-table,
.storage-files .report-table {
  margin: -1px;
}

.creative-analysis-files-table-wrapper .report-table thead,
.storage-files-table-wrapper .report-table thead {
  top: -1px;
}

.white-border {
  border-color: var(--bg-color-white) !important;
}

creative-mockup-prompt {
  position: relative;
  display: block;
  border: 1px solid var(--border-color);
  padding: 40px 20px 20px 20px;
  background-color: var(--bg-color-dark);
}

creative-mockup-prompt + creative-mockup-prompt {
  margin-top: 20px;
}

.creative-mockup-prompt-image-container {
  padding-right: 20px;
}

.creative-mockup-prompt-image-wrapper {
  display: block;
  background-color: var(--bg-color-white);
  border: 1px solid var(--border-color);
  width: 200px;
  height: 200px;
  position: relative;
  overflow: hidden;
}

@media (max-width: 750px) {
  .creative-mockup-prompt-image-wrapper {
    width: 100px;
    height: 100px;
  }

  creative-mockup-prompt textarea.input {
    height: 100px;
  }
}

.creative-mockup-prompt-image-link {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  display: block;
  cursor: pointer;
}

.creative-mockup-prompt-image {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  display: block;
  object-fit: cover;
}

.creative-mockup-prompt-no-image {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  display: block;
  cursor: pointer;
}

.creative-mockup-prompt-no-image svg {
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translateX(-50%) translateY(-50%);
  width: 50%;
  display: block;
  pointer-events: none;
}

.creative-mockup-prompt-checkbox {
  position: absolute;
  top: 10px;
  left: 10px;
}

.creative-mockup-prompt-image-checkbox {
  position: absolute;
  bottom: -1px;
  left: -1px;
  padding: 4px 9px 5px 26px;
  border: 1px solid var(--border-color);
  background-color: var(--bg-color-white);
}

.creative-mockup-prompt-image-checkbox .input-checkbox {
  position: absolute;
  top: 50%;
  left: 5px;
  transform: translateY(-50%);
}

@media (max-width: 750px) {
  .creative-mockup-prompt-image-checkbox {
    top: -1px;
    bottom: auto;
    left: -1px;
    padding: 5px;
  }

  .creative-mockup-prompt-image-checkbox .input-checkbox {
    position: relative;
    top: auto;
    left: auto;
    transform: none;
  }

  .creative-mockup-prompt-image-checkbox small {
    display: none;
  }
}

.hide-image-checkbox .creative-mockup-prompt-image-checkbox {
  display: none !important;
}

.creative-mockup-prompt-replace-link {
  display: block;
  position: absolute;
  bottom: 0;
  right: 0;
  padding: 5px 10px;
  background-color: var(--btn-color);
  color: var(--btn-color-text);
  transition: background-color 0.3s ease;
}

.creative-mockup-prompt-replace-link:hover {
  background-color: var(--btn-color-hover);
  color: var(--btn-color-text);
}


@keyframes lazyLoadingAnimation {
  0% {
    background-color: rgba(35, 68, 170, 0.08);
  }

  50% {
    background-color: rgba(35, 68, 170, 0.25);
  }

  100% {
    background-color: rgba(35, 68, 170, 0.08);
  }
}

@-webkit-keyframes lazyLoadingAnimation {
  0% {
    background-color: rgba(35, 68, 170, 0.08);
  }

  50% {
    background-color: rgba(35, 68, 170, 0.25);
  }

  100% {
    background-color: rgba(35, 68, 170, 0.08);
  }
}

.image-loading-animation {
  display: block;
  position: absolute;
  top: 0;
  bottom: 0;
  left: 0;
  right: 0;
  opacity: 0;
  pointer-events: none;
  transition: opacity 0.4s ease;
  background-color: rgba(35, 68, 170, 0.08);
  -webkit-animation: 3s linear infinite lazyLoadingAnimation;
  animation: 3s linear infinite lazyLoadingAnimation;
}

lazy-image {
  display: block;
}

.report-table lazy-image {
  display: block;
  position: absolute;
  top: 0;
  bottom: 0;
  left: 0;
  right: 0;
}

.image-loading .image-loading-animation {
  opacity: 1;
}

lazy-image img {
  opacity: 1;
  transition: opacity 0.4s ease;
}

.image-loading img {
  opacity: 0;
  pointer-events: none;
}

extract-video-frames-input,
merge-videos-input {
  position: relative;
  display: block;
  border: 1px solid var(--border-color);
  padding: 40px 20px 20px 20px;
  background-color: var(--bg-color-dark);
}

extract-video-frames-input + extract-video-frames-input,
merge-videos-input + merge-videos-input {
  margin-top: 20px;
}

@media (max-width: 750px) {
  extract-video-frames-input textarea.input {
    height: 100px;
  }
}

.merge-videos-result {
  margin-left: auto;
  margin-right: auto;
  display: block;
  width: 500px;
}

.merge-videos-result video {
  display: block;
  width: 100%;
}

file-drag-drop {
  display: block;
}

.file-drag-drop-container {
  width: 100%;
  display: flex;
  flex-direction: row;
  align-items: flex-start;
  justify-content: flex-start;
  gap: 20px;
}

.file-drag-drop-label {
  width: 100px;
  height: 100px;
  border: 1px dashed var(--border-color);
  position: relative;
  border-radius: 30px;
  background-color: var(--bg-color-white);
  cursor: pointer;
}

.file-drag-drop-label input {
  display: none;
}

.file-drag-drop-label span {
  position: absolute;
  width: 100%;
  top: 50%;
  text-align: center;
  transform: translateY(-50%);
  pointer-events: none;
}

.file-drag-drop-list-wrapper {
  overflow: auto;
  width: 500px;
  height: 100px;
  border: 1px solid var(--border-color);
  background-color: var(--bg-color-white);
  display: flex;
}

.file-drag-drop-list {
  flex-shrink: 0;
  min-width: 100%;
}

.file-drag-drop-list-item {
  display: block;
  padding: 0 10px;
}

.file-drag-drop-list-item + .file-drag-drop-list-item {
  border-top: 1px solid var(--border-color);
}

.file-drag-drop-list-item + .file-drag-drop-list-item:last-child {
  border-bottom: 1px solid var(--border-color);
}

.file-drag-drop-list-item .h4 {
  position: relative;
  top: 1px;
  cursor: pointer;
}